package com.testor.module.lease.dao;

import com.testor.module.lease.model.domain.TLeaseBank;
import com.tongtech.tfw.backend.common.models.supers.SuperDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 租赁库管理关系Mapper接口
 *
 * @author testor-framework
 * @date 2022-07-20 10:09:54
 */
public interface TLeaseBankDao extends SuperDao<TLeaseBank> {
    // 获取危险源总数
    int getRiskRourceNum(@Param("orgs") List<String> orgs);

    // 获取重大危险源
    int getMajor(@Param("orgs") List<String> orgs);

    // 获取风险点数量
    int getRiskPoint(@Param("orgs") List<String> orgs);
}
